    One-dimensional log-parabolic function.

logparabola
>>> create_model_component("logparabola", "mdl")
>>> print(mdl)

Create a component of the logparabola model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.ref frozen 1 -3.40282e+38 3.40282e+38 mdl.c1 thawed 1 -3.40282e+38 3.40282e+38 mdl.c2 thawed 1 -3.40282e+38 3.40282e+38 mdl.ampl thawed 1 0 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
ref
The reference point for the normalization.
c1
The power-law index (gamma).
c2
The curvature of the parabola (beta).
ampl
The amplitude of the model.

Notes

The functional form of the model for points is:

f(x) = ampl * (x / ref) ^ (-c1 - c2 * log_10 (x / ref))

The grid version is evaluated by numerically intgerating the function over each bin using a non-adaptive Gauss-Kronrod scheme suited for smooth functions [1] , falling over to a simple trapezoid scheme if this fails.

References

[1] https://www.gnu.org/software/gsl/manual/html_node/QNG-non_002dadaptive-Gauss_002dKronrod-integration.html

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023